Subject: Re: MAINTAINERS: Add self for the 3c509 network driver

From: Jakub Kicinski <[email-masked]>
Date: Tue, 12 May 2026 08:53:02 -0700

On Tue, 12 May 2026 11:26:37 +0100 (BST) Maciej W. Rozycki wrote:
> On Mon, 11 May 2026, Jakub Kicinski wrote:
> > > Here:
> > > https://lore.kernel.org/all/[email-masked]/  
> > 
> > Maciej, what's the relevance of your machine in the lab?  
> 
>  It's one of my test machines for the defxx driver, specifically the EISA 
> binding.  The Ethernet link served by the 3c509 driver is for Internet 
> access, FDDI is intranet.
> 
> > Does the platform or any component that you test on this
> > platform have actual users?  
> 
>  I believe the defxx driver does, yes; unsure about the EISA binding.
> 
> > If the answer is no / unsure please fix the driver up to
> > follow modern coding standards and submit the patch.  
> 
>  I don't mind updating for our coding standards, though such a change 
> might be considered just irritating noise that interferes with `git blame' 
> (though with the removal of the code upstream, this got broken already 
> anyway).  NB it's the reason why I have hesitated to reformat the defxx 
> driver for decades now, which obviously has much more serious issues here 
> such as the assumption of 4-character tabs.
> 
>  I think the re-addition needs to be done in two stages, first being a 
> plain revert so that no code change comes unrecorded in git, followed by 
> the actual formatting cleanup.  Sadly this won't fix `git blame', but at 
> least the diff will be empty between the repo states as at respectively 
> the removal and the re-addition.

Right, since it was already removed the git blame is going to point
to the re-addition. Hence it's an opportunity for a cleanup.

>  Does it answer your questions and seem like a reasonable course of 
> action?

Sounds fine, I'd squash them, but as long as the patches come in one
series - either way works!